<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8">
		<title>HR application</title>
	</head>
	<body>
		
		<h1>List of employees:</h1>
		
		<table border>
		<thead>
		<tr>
			<th>Id</th>
			<th>Name</th>
			<th>Title</th>
			<th>Salary</th>
			<th>Entry date</th>
		<tbody>
			<tr th:each="employee : ${employees}">
				<td th:text=${employee.employeeId}>Id</td>
				<td><a th:href="@{/employees/{id}(id = ${employee.employeeId})}" th:text="${employee.name}">Name</a></td>
				<td th:text=${employee.title}>Title</td>
				<td th:text=${employee.salary}>Salary</td>
				<td th:text=${employee.workStartDate}>EntryDate</td>
				<td><a th:href="@{/deleteEmployee/{id}(id=${employee.employeeId})}">Delete</a></td>
			<tr>
		</table>
		<br><br>
		
		<form th:action="@{/employees}" method="post" th:object="${newEmployee}">
			Id: <input th:field="*{employeeId}" /><br>
			Name: <input th:field="*{name}" /><br>
			Title: <input th:field="*{title}" /><br>
			Salary: <input th:field="*{salary}" /><br>
			Entry date: <input th:field="*{workStartDate}" /><br>
			<input type="submit" value="Add" />
		</form>
		
	</body>
</html>